%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                                                                                    %
%  ITMAS2012 Class                                                                                                  %
%                                                                                                                                     %
%  Class to help typesetting papers for ITMAS2012                                             %
%                                                                                                                                     %
%  Author: Jose M. Such 04/01/2012                                                                       %
%        Departament de Sistemes Informatics i Computacio                                 %
%        Universitat Politecnica de Valencia                                                               %
%        Spain                                                                                                                   %
%                                                                                                                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{itmas2012}[2012/01/04 v1.0 Latex class for ITMAS2012]
\LoadClass[10pt,a4]{article}

% margins
\usepackage[hmargin=4.5cm,vmargin=4cm]{geometry}

% authors and affiliations
\usepackage{authblk}
\setlength{\affilsep}{0.1cm}
\renewcommand\Affilfont{\itshape\small}

% to bf title
\let\LaTeXtitle\title
\renewcommand{\title}[1]{\LaTeXtitle{\textbf{#1}}}

\date{}

% to compact bibliography
\let\oldbibliography\thebibliography
\renewcommand{\thebibliography}[1]{%
  \oldbibliography{#1}%
  \small
  \setlength{\itemsep}{-0.1cm}%
}

% to remove page numbers
\newcommand{\removepagenumbers}{\makeatletter\let\ps@plain\ps@empty\makeatother\pagestyle{empty}}



